<script>
	import LoggedIn from './loggedin.svelte'
	import Login from './login.svelte'
	import Ace from './ace.svelte'
	import Diagrams from './diagrams.svelte'
</script>

<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />

<nav id="nav-main">
	<ul>
		<li>
			<a href="/">🔱
			<h1>Atlantis</h1>
			</a>
			<h2>Diagramming for people in a hurry.<h2>
		</li>
		<li><a href="#features">Features</a></li>
		<li><a href="#pricing">Pricing</a></li>
		<li><a href="#about">About</a></li>
	</ul>
</nav>

<nav id="nav-account">
	<ul>
		<li>
			<LoggedIn/>
		</li>
	</ul>
</nav>

<section id="title">
	<h3 style="display: none">My cool flowchart</h3>

	<h3>
		<a href="#picker" title="All documents">↙️./</a>
		<input type="text" value="My cool flowchart" />
		<a href="#picker" title="All versions">↙️ v44</a>
	</h3>
</section>

<section id="source" style="margin: 0; width: 50%; display: inline-block; border: 1px solid red">
	<div class="controls" style="display: inline-block">⚙️</div>
	<select class="format">
		<option value="mermaid_flow_chart">Mermaid - Flow Chart v1</option>
		<option value="mermaid_flow_chart">Mermaid - Sequence Diagram v1</option>
		<option value="mermaid_flow_chart">Mermaid - Pie Chart v1</option>
	</select>
	<pre id="editor">
# Hello
## World
I like _peanuts_.
	</pre>
	<Ace/>
</section>
<section id="output" style="margin: 0; width: 50%; border: 1px solid blue">
	<div class="controls" style="display: inline-block">⚙️</div>
	<select class="format">
		<option value="png">PNG</option>
	</select>
	<div id="preview" style="padding: 20px; border: 2px dashed black;">
		(full image preview/output here)
	</div>
</section>

<h2>Log in</h2>

<Login/>

<h2>Get diagrams</h2>

<Diagrams/>
